@import url('https://fonts.googleapis.com/css2?family=Saira:wght@100;200;300;400;500;600;700&display=swap');
@font-face {
   font-family: 'mostLight';
   src: url(../fonts/MontDemo-ExtraLight.otf);
}

@font-face {
   font-family: 'mostHeavy';
   src: url(../fonts/MontDemo-Heavy.otf);
}

* {
   margin: 0;
   padding: 0;
   box-sizing: border-box;
}

body::-webkit-scrollbar {
   width: 5px;
   background-color: #000000;
}

body::-webkit-scrollbar-thumb {
   background-color: #bd008f;
   border-radius: 5px;
}

#sec1,
#sec2,
#sec3,
#sec4,
#sec5 {
   color: white;
   font-family: 'mostHeavy';
   z-index: 1;
   overflow: hidden;
}

.sec1__idioma {
   position: absolute;
   top: 17px;
   right: 20px;
   z-index: 3;
}

.sec1__idioma a {
   color: #fafafa;
   text-decoration: none;
   text-transform: uppercase;
}

.sec1__idioma a:nth-of-type(2) {
   color: #bd008f;
}

video {
   outline: none;
}

.ar-text-container p,
.interactive-body-container p,
.imageTarget-body-container p,
.taptoPlace-body-container p {
   font-family: 'mostLight';
   font-weight: 900;
   /* border: 1px solid black; */
   /* width: 72%; */
}

.ar-text-container p {
   font-family: 'Saira';
   font-weight: 200;
   font-size: 0.9rem;
}

.ar-text-container p strong {
   font-weight: 800;
   font-size: 0.8rem;
}

.ar-text-container p span {
   font-weight: 400;
}

#sec1 {
   background-image: url('../img/bkHome.jpg');
   background-repeat: no-repeat;
   background-size: cover;
}

/* Estilos para el tooltip */
#fp-nav ul li a span {
   background-color: #fafafa;
}

/* ------------------------- */
/* Header */
/* ------------------------- */
header {
   font-family: 'mostHeavy';
   /* width: 100%; */
   display: flex;
   justify-content: flex-start;
   align-items: center;
   background-color: transparent;
   position: fixed;
   top: 0;
   left: 0;
   z-index: 2;
}

header > h1 {
   position: absolute;
   width: 1px;
   height: 1px;
   padding: 0;
   margin: -1px;
   overflow: hidden;
   clip: rect(0, 0, 0, 0);
   white-space: nowrap;
   border-width: 0;
}

.checkBurger {
   cursor: pointer;
   display: block;
   padding: 0.5rem;
   display: flex;
   align-items: center;
}

.checkBurger span {
   line-height: 0;
}

.hamburgerBtn {
   height: 2.5rem;
   color: #fafafa;
   outline: none;
}

.btnClose {
   color: #fafafa;
   height: 5rem;
   z-index: 2;
   cursor: pointer;
}

.menu li {
   list-style: none;
   /* Le ponemos esto para que tenga un ancho fijo y la letra no caiga al esconder el menú */
   display: block;
   width: 400px;
   text-align: center;
}

.menu li a {
   display: block;
   text-decoration: none;
   color: #fafafa;
   font-size: 1.4rem;
   padding: 7px 16px;
   margin-bottom: 15px;
   text-transform: uppercase;
}

.menu li a:hover {
   transition: 0.5s;
   background-color: rgba(0, 0, 0, 0.4);
}

.menu {
   position: fixed;
   left: 0;
   top: 0;
   width: 0px;
   height: 100vh;
   background-color: #bd008f;
   transition: 0.4s;
   overflow: hidden;
   display: flex;
   justify-content: center;
   align-items: center;
}

.toggleMenu {
   width: 100%;
}

/* ------------------------- */
/* Section Home */
/* ------------------------- */
.sec1-home {
   display: flex;
   justify-content: space-around;
}

#description {
   display: none;
}

.sec1-img {
   width: 100px;
   margin-left: 8px;
}

.sec1-text {
   display: none;
}

.home-image img {
   /* width: 180px; */
   width: 220px;
}

.home-image {
   position: relative;
   top: 0;
   left: 35px;
   opacity: 0;
   will-change: opacity;
   margin-right: 40px;
}

.home-icons svg {
   width: 40px;
   margin-bottom: 35px;
   cursor: pointer;
}

.icon-1,
.icon-2,
.icon-3,
.icon-4,
.icon-5 {
   transition: 0.5s;
   fill: #fafafa;
   cursor: pointer;
}

.home-icons {
   display: flex;
   flex-direction: column;
   align-items: flex-end;
   justify-content: center;
}

.sec1-footer {
   text-transform: uppercase;
   color: #fafafa;
   display: flex;
   flex-direction: column;
   max-width: 260px;
   margin: 0 auto;
   position: absolute;
   top: 70px;
   left: calc(50% - 130px);
}

.sec1-footer img {
   width: 261px;
}

.sec1-footer h2 {
   font-size: 3rem;
}

.sec1-footer h3 {
   font-size: 1rem;
   text-align: right;
}

.fadeOut {
   animation: fade-out 1s forwards;
   transition: 1s;
   will-change: opacity;
}

.fadeIn {
   animation: fade-in 1s forwards;
   transition: 1s;
   will-change: opacity;
}

.enterLeft {
   animation: enter-left 1s forwards;
   transition: 1s;
}

.homefx {
   animation: homefx 1s forwards;
   transition: 1s;
}

@keyframes fade-out {
   from {
      opacity: 1;
   }

   to {
      opacity: 0;
   }
}

@keyframes fade-in {
   from {
      opacity: 0;
   }

   to {
      opacity: 1;
   }
}

@keyframes enter-left {
   80% {
      left: 30px;
   }
   90% {
      left: 20px;
   }
   100% {
      left: 25px;
   }
}

@keyframes homefx {
   0% {
      opacity: 0;
      top: 50px;
   }
   100% {
      opacity: 1;
      top: 0;
   }
}

/* ------------------------- */
/* Section AR+ */
/* ------------------------- */
#sec2 {
   background-color: black;
}

.container-interactive {
   display: flex;
   justify-content: center;
}

.ar-text-container {
   position: relative;
   left: 40px;
   max-width: 227px;
   display: flex;
   flex-direction: column;
   align-items: center;
}

.ar-icon {
   width: 110px;
   opacity: 0;
   will-change: opacity;
   margin-bottom: 20px;
}

.ar-text-container p {
   font-size: 0.8rem;
   text-align: left;
   margin-bottom: 1rem;
   opacity: 0;
   will-change: opacity;
}

.ar-text-container ul {
   font-size: 1rem;
   text-align: left;
   margin-bottom: 1rem;
   opacity: 0;
   will-change: opacity;
}

.ar-text-container div:last-child {
   width: 100%;
}

.ar-image-container {
   position: absolute;
   left: -100px;
}

.ar-image {
   width: 200px;
   opacity: 0;
   will-change: opacity;
}

.icon-mouse-container {
   text-align: center;
   opacity: 0;
   will-change: opacity;
}

.ar-mouse {
   width: 50px;
   fill: #bd008f;
}

/* ------------------------- */
/* Section interacting */
/* ------------------------- */
#sec3 {
   background-image: url('../img/fondo-sec3.png');
   background-repeat: no-repeat;
   background-size: cover;
}

.container-interacting {
   display: flex;
   justify-content: space-around;
   max-width: 322px;
   margin: 0 auto;
}

.interactive-icons-container {
   display: flex;
   flex-direction: column;
}

.interactive-icon1 {
   fill: #fafafa;
   width: 35px;
   margin-bottom: 1rem;
   margin-top: 19px;
   opacity: 0;
   will-change: opacity;
}

.interactive-icon2 {
   width: 35px;
   opacity: 0;
   will-change: opacity;
   position: relative;
   top: 0;
}

.interactive-body-container {
   max-width: 250px;
   text-align: left;
   padding: 10px;
}

.interactive-body-container h2 {
   font-size: 2.2rem;
   text-transform: uppercase;
   margin-bottom: 11px;
   position: relative;
   left: -1000px;
   opacity: 0;
   will-change: opacity;
}

.interactive-body-container p {
   font-size: 0.8rem;
   opacity: 0;
   will-change: opacity;
   font-family: 'Saira';
   font-weight: 300;
}

.video-interacting {
   width: 220px;
   height: 150px;
   border: none;
   margin: 10px 0;
   opacity: 0;
   will-change: opacity;
}

.interacting-qr {
   display: none;
   width: 80px;
   height: 80px;
   background-color: #fafafa;
   margin: 0 auto;
   opacity: 0;
   will-change: opacity;
}

/* ------------------------- */
/* Section Image target */
/* ------------------------- */
#sec4 {
   background-image: url('../img/fondo-imageTarget.jpg');
   background-repeat: no-repeat;
   background-size: cover;
}

.container-imageTarget {
   display: flex;
   justify-content: space-around;
   flex-direction: row-reverse;
   max-width: 322px;
   margin: 0 auto;
}

.icon-imageTarget {
   fill: #fafafa;
   margin-bottom: 18px;
   margin-top: 16px;
   opacity: 0;
   will-change: opacity;
}

.imageTarget-icons-container {
   display: flex;
   flex-direction: column;
}

.imageTarget-icon1 {
   fill: #fafafa;
   width: 35px;
   margin-bottom: 1rem;
}

.imageTarget-icon2 {
   width: 35px;
   position: relative;
   top: 0;
   opacity: 0;
   will-change: opacity;
}

.imageTarget-body-container {
   max-width: 261px;
   text-align: right;
   padding: 10px;
}

.imageTarget-body-container h2 {
   font-size: 2rem;
   text-transform: uppercase;
   margin-bottom: 11px;
   position: relative;
   right: -1000px;
   opacity: 0;
   will-change: opacity;
}

.imageTarget-body-container p {
   font-size: 0.8rem;
   opacity: 0;
   will-change: opacity;
   font-family: 'Saira';
   font-weight: 300;
}

.video-imageTarget {
   width: 220px;
   height: 150px;
   /* background-color: #212121; */
   border: none;
   /* margin: 10px auto; */
   margin: 10px 0;
   margin-left: auto;
   opacity: 0;
   will-change: opacity;
}

.imageTarget-qr {
   display: none;
   width: 80px;
   height: 80px;
   background-color: #fafafa;
   margin: 0 auto;
   opacity: 0;
   will-change: opacity;
}

/* ------------------------- */
/* Section taptoPlace */
/* ------------------------- */
#sec5 {
   background-image: url('../img/fondo-tapToPlace.png');
   background-repeat: no-repeat;
   background-size: cover;
}

.container-taptoPlace {
   display: flex;
   justify-content: space-around;
   max-width: 322px;
   margin: 0 auto;
}

.taptoPlace-icons-container {
   display: flex;
   flex-direction: column;
}

.taptoPlace-icon1 {
   fill: #fafafa;
   width: 35px;
   margin-bottom: 1rem;
   margin-top: 19px;
   opacity: 0;
   will-change: opacity;
}

.taptoPlace-icon2 {
   width: 35px;
   position: relative;
   top: 0;
   opacity: 0;
   will-change: opacity;
}

.taptoPlace-body-container {
   max-width: 250px;
   text-align: left;
   padding: 10px;
   color: #212121;
}

.taptoPlace-body-container h2 {
   font-size: 2rem;
   text-transform: uppercase;
   margin-bottom: 11px;
   color: #fafafa;
   position: relative;
   left: -1000px;
   opacity: 0;
   will-change: opacity;
}

.taptoPlace-body-container p {
   font-size: 0.8rem;
   opacity: 0;
   will-change: opacity;
   font-family: 'Saira';
   font-weight: 300;
}

.video-taptoPlace {
   width: 220px;
   height: 150px;
   /* background-color: #212121; */
   border: none;
   /* margin: 10px auto; */
   margin: 10px 0;
   opacity: 0;
   will-change: opacity;
}

.taptoPlace-qr {
   display: none;
   width: 80px;
   height: 80px;
   background-color: #fafafa;
   margin: 0 auto;
   opacity: 0;
   will-change: opacity;
}

/* ------------------------- */
/* Section contacto */
/* ------------------------- */
#sec6 {
   background-image: url('../img/bk-contacto-cel.jpg');
   background-repeat: no-repeat;
   background-size: cover;
}

#sec6 p {
   font-size: 1.8rem;
   font-weight: 700;
   color: #fafafa;
   text-align: center;
   margin-bottom: 25px;
   text-transform: uppercase;
   font-family: 'mostHeavy';
}

#form-container input::placeholder,
textarea::placeholder {
   color: #9e9e9e;
}

#form-container {
   text-align: center;
   position: relative;
   opacity: 0;
   will-change: opacity;
}

.right {
   animation: right 1s forwards;
   transition: 1s;
}

@keyframes right {
   0% {
      opacity: 0;
   }
   100% {
      opacity: 1;
      left: 0;
   }
}

.left {
   animation: left 1s forwards;
   transition: 1s;
}

@keyframes left {
   0% {
      opacity: 0;
   }
   100% {
      opacity: 1;
      right: 0;
   }
}

#form-container button {
   font-family: 'mostHeavy';
   color: #fafafa;
   background-color: #bd008f;
   width: 80%;
   text-transform: uppercase;
   padding: 0.6rem 0;
   border: none;
   outline: none;
   cursor: pointer;
   border-radius: 2px;
}

.sr-only {
   position: absolute;
   width: 1px;
   height: 1px;
   padding: 0;
   margin: -1px;
   overflow: hidden;
   clip: rect(0, 0, 0, 0);
   white-space: nowrap;
   border-width: 0;
}

.input-container input,
textarea {
   font-family: 'mostHeavy';
   width: 80%;
   border-radius: 2px;
   border: none;
   padding: 0.5rem 0.4rem;
   outline: none;
   margin-bottom: 25px;
   border: 1px solid #9e9e9e;
}

textarea {
   height: 180px;
}

.redes {
   max-width: 538px;
   margin: 0 auto;
}

.lista-redes {
   display: flex;
   justify-content: space-around;
   align-items: center;
   padding: 1rem 0;
}

.lista-redes li {
   list-style: none;
   line-height: 0;
}

.redes-icon {
   width: 40px;
}

/* ------------------------- */
/* Section footer */
/* ------------------------- */
#footer {
   background-color: #652ec7;
   color: #fafafa;
   display: flex;
   justify-content: space-around;
   position: absolute;
   bottom: 0;
   left: 0;
   width: 100%;
   padding: 0.9rem 0;
   font-size: 0.9rem;
   font-family: 'mostLight';
   font-weight: 700;
}

/* ------------------------- */
/* Section lista items */
/* ------------------------- */
.hight-lights {
   width: 100%;
   font-family: 'Saira';
   font-weight: 600;
   font-size: 0.7rem;
   /* padding: 0 20px 0; */
   opacity: 0;
   list-style: none;
}

.item-hight {
   margin: 5px 0;
}

.separador {
   display: none;
   position: absolute;
   bottom: 0;
   left: calc(50% - (335px / 2));
}

#hight-target li {
   list-style: none;
   text-align: right;
}

/* ------------------------- */
/* Querys */
/* ------------------------- */
@media screen and (min-width: 400px) {
   .menu li a {
      padding: 10px 16px;
   }

   .sec1-home {
      justify-content: space-evenly;
   }

   .sec1-footer {
      left: 21.4%;
   }

   .home-image {
      /* left: -730px; */
   }

   @keyframes enter-left {
      80% {
         left: 30px;
      }
      90% {
         left: 20px;
      }
      100% {
         left: 25px;
      }
   }

   .ar-text-container {
      align-items: center;
      right: 15px;
   }

   .ar-text-container {
      max-width: 310px;
   }

   .ar-text-container p {
      margin-bottom: 3rem;
   }

   .ar-text-container p strong {
      font-size: 1rem;
   }

   .interactive-icon1,
   .imageTarget-icon1,
   .taptoPlace-icon1 {
      width: 40px;
      margin-bottom: 1.6rem;
   }

   .interactive-icon2,
   .imageTarget-icon2,
   .taptoPlace-icon2 {
      width: 40px;
   }

   .interactive-body-container,
   .taptoPlace-body-container {
      max-width: 250px;
   }

   .interactive-body-container h2 {
      font-size: 2.4rem;
      margin-bottom: 17px;
      position: relative;
      left: -1000px;
   }

   .taptoPlace-body-container h2 {
      font-size: 2.06rem;
      margin-bottom: 20px;
   }

   .container-interactive {
      max-width: 720px;
      margin: 0 auto;
   }

   .container-interacting,
   .container-imageTarget,
   .container-taptoPlace {
      max-width: 350px;
      margin: 0 auto;
   }

   #sec3 {
      background-image: url('../img/fondo-interacting-desktop.jpg');
      background-position: 52%;
   }

   .redes-icon {
      width: 55px;
   }
   .hight-lights {
      font-size: 0.8rem;
   }
}

@media screen and (min-width: 768px) {
   .separador {
      display: flex;
   }

   #sec1 {
      background-image: url('../img/bkHome-tablet.jpg');
      background-size: cover;
      background-position: 10%;
   }

   .sec1-footer {
      top: 48px;
   }

   .sec1-img {
      display: none;
   }

   .sec1-text {
      display: block;
      text-transform: uppercase;
      font-size: 0.8rem;
      font-weight: 700;
      text-align: left;
      margin-left: 6px;
      color: #fafafa;
   }

   .sec1-home {
      justify-content: flex-end;
   }

   .home-image {
      /* left: -1430px; */
   }

   .home-icons {
      margin-right: 50px;
   }

   .home-icons svg:last-child {
      margin: 0;
   }

   @keyframes enter-left {
      80% {
         left: -55px;
      }
      90% {
         left: -45px;
      }
      100% {
         left: -50px;
      }
   }

   .sec1-footer span {
      display: flex;
      margin: 0 30px;
   }

   .sec1-footer img {
      width: 450px;
   }

   .interactive-body-container,
   .taptoPlace-body-container {
      margin-left: 30px;
   }

   .container-interacting,
   .container-imageTarget,
   .container-taptoPlace {
      justify-content: flex-start;
      margin-left: 30px;
      max-width: 920px;
      position: relative;
      margin: 0 auto;
      padding: 0 10px;
   }

   .interactive-icon1,
   .icon-imageTarget,
   .taptoPlace-icon1 {
      fill: #fafafa;
      width: 45px;
      margin-bottom: 1rem;
      margin-top: 32px;
   }

   .interactive-icon1,
   .taptoPlace-icon1 {
      margin-bottom: 3.1rem;
   }

   .interactive-icon2,
   .imageTarget-icon2,
   .taptoPlace-icon2 {
      width: 45px;
   }

   .ar-text-container {
      right: 60px;
   }

   .ar-image-container {
      position: relative;
      left: -100px;
   }

   .ar-text-container {
      max-width: 520px;
   }

   .imageTarget-body-container h2,
   .taptoPlace-body-container h2,
   .interactive-body-container h2 {
      font-size: 4.4rem;
   }

   .imageTarget-body-container p,
   .taptoPlace-body-container p,
   .interactive-body-container p {
      font-size: 0.9rem;
      width: 55%;
      width: 73%;
   }

   .imageTarget-body-container,
   .taptoPlace-body-container,
   .interactive-body-container {
      display: flex;
      flex-wrap: wrap;
      flex-direction: column;
      max-width: 580px;
      z-index: 2;
   }

   .icon-imageTarget {
      fill: #fafafa;
      margin-bottom: 48px;
      margin-top: 30px;
   }

   .imageTarget-body-container {
      margin-right: 30px;
      align-items: flex-end;
   }

   .imageTarget-qr,
   .taptoPlace-qr,
   .interacting-qr {
      display: block;
      margin: 1rem 0;
   }

   .video-interacting,
   .video-taptoPlace {
      position: absolute;
      width: 400px;
      height: 400px;
      top: -40px;
      right: 2%;
      z-index: -1;
   }

   .video-imageTarget {
      position: absolute;
      width: 400px;
      height: 400px;
      top: -40px;
      left: 2%;
      z-index: -1;
   }

   #sec6 {
      background-image: url('../img/fondo-contacto.jpg');
   }

   #form-container div:nth-child(1) {
      margin: 0 auto;
      max-width: 538px;
      display: flex;
      justify-content: space-between;
   }

   #form-container div:nth-child(1) > .input-container {
      display: flex;
      justify-content: flex-start;
   }

   #form-container div:nth-child(1) .input-container:nth-child(2) {
      display: flex;
      justify-content: flex-end;
   }

   #form-container div:nth-child(1) .input-container {
      width: 100%;
   }

   #form-container div:nth-child(1) input {
      width: 95%;
   }

   .input-container input,
   textarea,
   button {
      max-width: 538px;
   }

   #sec6 p {
      font-size: 3.5rem;
   }

   #footer {
      font-size: 1rem;
      bottom: -8px;
      padding: 0.4rem 0;
   }

   .redes-icon {
      width: 60px;
   }

   .hight-lights {
      width: 72%;
   }
}

@media screen and (min-width: 860px) {
   .container-interactive {
      max-width: 680px;
      display: flex;
      justify-content: space-between;
      /* border: 1px solid crimson; */
   }

   .ar-image-container {
      position: unset;
   }
}

@media screen and (min-width: 1024px) {
   .sec1-footer {
      left: 11.5%;
   }

   .sec1-footer span {
      margin-left: 35px;
   }

   .sec1-footer img {
      width: 650px;
   }

   .sec1-footer h3 {
      font-size: 1.1rem;
      margin-right: 159px;
   }

   #sec1 h3 {
      font-size: 1.6rem;
      bottom: 5%;
      right: 12%;
   }

   .redes-icon {
      width: 65px;
   }
}

@media screen and (min-width: 1280px) {
   #description {
      display: block;
      max-width: 598px;
      /* border: 1px solid crimson; */
      text-align: left;
      font-family: 'Saira';
      position: absolute;
      left: 21%;
      bottom: 16%;
   }

   #description h3 {
      font-weight: 200;
      font-size: 1.3rem;
      padding: 10px;
      text-transform: uppercase;
   }

   #description p {
      font-family: 'Saira';
      font-weight: 200;
      font-size: 0.9rem;
      padding: 10px;
   }

   .home-icons img {
      margin-bottom: 40px;
   }

   .sec1-home {
      position: absolute;
      top: 75px;
      right: 0px;
   }

   .home-image img {
      width: 230px;
   }

   #sec1 h3 {
      font-size: 1.6rem;
      bottom: 5%;
      right: 8.5%;
   }

   .sec1-footer {
      left: 9.4%;
   }

   .sec1-footer img {
      width: 695px;
   }

   .home-image {
      position: relative;
      top: 7px;
   }

   .icon-1:hover {
      fill: #bd008f;
   }
   .icon-2:hover {
      fill: #bd008f;
   }
   .icon-3:hover {
      fill: #bd008f;
   }
   .icon-4:hover {
      fill: #bd008f;
   }
   .icon-5:hover {
      fill: #bd008f;
   }
}

@media screen and (min-width: 1440px) {
   #sec1 h3 {
      font-size: 1.6rem;
      bottom: 5%;
      right: 15%;
   }

   .sec1-footer {
      left: 8.8%;
   }
}

@media screen and (min-width: 1920px) {
   .sec1-footer {
      left: 16.4%;
   }
}

@media screen and (min-width: 2560px) {
   .sec1-footer {
      left: 16.4%;
   }
}
